/* Author: Jeff Dalton <J.Dalton@ed.ac.uk>
 * Updated: Tue Apr 24 23:48:33 2001 by Jeff Dalton
 * Copyright: (c) 2001, AIAI, University of Edinburgh
 */

package ix.icore;

/**
 * Base class for simple Issue handlers.
 */

public abstract class BasicIssueHandler implements IssueHandler {

    String actionDescription;

    public BasicIssueHandler(String actionDescription) {
	this.actionDescription = actionDescription;
    }

    public abstract void handleIssue(Issue i);

    public String getActionDescription() {
	return actionDescription;
    }

    public String toString() {
	return "IssueHandler[" + actionDescription + "]";
    }

}
