/* Author: Jeff Dalton <J.Dalton@ed.ac.uk>
 * Updated: Sun Jul  1 21:58:47 2001 by Jeff Dalton
 * Copyright: (c) 2001, AIAI, University of Edinburgh
 */

package ix.icore;

import java.util.Map;

/**
 * Issues.
 */
public interface Issue {

    public Object getVerb();

    public Object getParameters();

    public int getStatus();

    public void setStatus(int status);

    public int getPriority();

    public void setPriority(int priority);

    public Map getProperties();

    public void setProperties(Map properties);

}
