/* Author: Jeff Dalton <J.Dalton@ed.ac.uk>
 * Updated: Tue May 29 00:46:19 2001 by Jeff Dalton
 * Copyright: (c) 2000, AIAI, University of Edinburgh
 */

package ix.icore.domain;

import ix.util.lisp.Symbol;

/**
 * Defines constants that are useful when processing schema effects.
 */

public interface EffectSymbols {
    static final Symbol
	S_AT             = Symbol.intern("at"),
	S_START		 = Symbol.intern("start"),
	S_FINISH         = Symbol.intern("finish");

    /* Product Symbols */

    public final Symbol
	K_COMPLETE       = Symbol.intern(":complete"),
	K_DRAFT          = Symbol.intern(":draft");

}
