/* Author: Jeff Dalton <J.Dalton@ed.ac.uk>
 * Updated: Wed Apr 25 23:26:48 2001 by Jeff Dalton
 * Copyright: (c) 2001, AIAI, University of Edinburgh
 */

package ix.icore.process;

import ix.util.lisp.LList;

/**
 * An object that can be asked to construct a node.
 *
 * @see PNode#expandOneLevel
 */
public interface PNodeMaker {

    public PNode makePNode(PNode parent, LList pattern);

}
