/* Author: Jeff Dalton <J.Dalton@ed.ac.uk>
 * Updated: Wed Jul  4 17:11:53 2001 by Jeff Dalton
 * Copyright: (c) 2001, AIAI, University of Edinburgh
 */

package ix.iface.util;

import junit.framework.*;
import ix.util.Parameters;

/**
 * Test suite that includes all tests for the ix.iface.util package.
 */
public class AllTests {

    public static void main(String[] argv) {
	Parameters.processCommandLineArguments(argv);
	junit.textui.TestRunner.run(suite());
    }

    public static Test suite () {
	TestSuite suite = new TestSuite("ix.iface.util tests");

	// Tests for this package.
	suite.addTest(new TestSuite(XMLTest.class));

	return suite;
    }

}

