/* Author: Jeff Dalton <J.Dalton@ed.ac.uk>
 * Updated: Mon Apr 23 23:51:54 2001 by Jeff Dalton
 * Copyright: (c) 2000, AIAI, University of Edinburgh
 */

package ix.icore.domain;

import ix.util.lisp.Symbol;

/**
 * Defines constants that are useful when processing Product schemas.
 * It can be extended by interfaces that add constants for
 * use when processing product schemas as they appear in files.
 */

public interface ProductSchemaSymbols {
    static final Symbol
        K_NAME           = Symbol.intern(":name");
}
