/* Author: Jeff Dalton <J.Dalton@ed.ac.uk>
 * Updated: Mon Apr 23 23:57:14 2001 by Jeff Dalton
 * Copyright: (c) 2001, AIAI, University of Edinburgh
 */

package ix.icore.domain.event;

import java.util.EventObject;

import ix.icore.domain.*;

public class SchemaEvent extends DomainEvent {

    protected Schema schema;

    public SchemaEvent(Domain source, Schema schema) {
	super(source);
	this.schema = schema;
    }

    public Schema getSchema() {
	return schema;
    }

}
