/* Author: Jeff Dalton <J.Dalton@ed.ac.uk>
 * Updated: Wed Sep 19 21:18:39 2001 by Jeff Dalton
 * Copyright: (c) 2001, AIAI, University of Edinburgh
 */

package ix.ideel;

import ix.icore.*;

import ix.icore.process.StatusValues;


public abstract class IdeelIssueHandler extends BasicIssueHandler
implements StatusValues {

    public IdeelIssueHandler(String actionDescription) {
	super(actionDescription);
    }

    public void addIssueOptions(IdeelIssue issue) {
	// It's assumed the controller has already determined that
	// this is an appropriate handler for the issue.
	issue.addOption(new IdeelController.AutomaticOption(issue, this));
    }

}
