/* Author: Jeff Dalton <J.Dalton@ed.ac.uk>
 * Updated: Thu Jul 12 22:48:11 2001 by Jeff Dalton
 * Copyright: (c) 2001, AIAI, University of Edinburgh
 */

package ix.ideel;

// Some of this should really be in an IssueEditorListener, or something
// like that.  (Listener isn't quite right, because there can be only one
// and it's supposed to carry out particular instructions such as
// saveIssueExpansion.  /\/

public interface IssueViewer {

    public void addIssue(IdeelIssue i);

    public void issueAdded(IdeelIssue i);

    public void setIssueManager(IssueManager m);

    public void saveIssueExpansion(Object data);

    public void expandIssue(IdeelIssue i, Object instructions);

    public void addExampleIssues();

    public void reset();

}
