/* Author: Jeff Dalton <J.Dalton@ed.ac.uk>
 * Updated: Fri Jul 13 03:35:45 2001 by Jeff Dalton
 * Copyright: (c) 2001, AIAI, University of Edinburgh
 */

package ix.ideel.event;

import java.util.EventListener;

import ix.ideel.IdeelIssue;

import ix.icore.IssueHandler;


public interface ControllerListener extends EventListener {

    public void issueAdded(ControllerEvent e, IdeelIssue i);

    public void issueHandled(ControllerEvent e,
			     IdeelIssue i,
			     IssueHandler h);

}

// Issues:
// * It looks like the JDK way is to put all the information in the
//   event object rather than pass additional parameters.
