/* Author: Jeff Dalton <J.Dalton@ed.ac.uk>
 * Updated: Wed Jul  4 17:27:55 2001 by Jeff Dalton
 * Copyright: (c) 2001, AIAI, University of Edinburgh
 */

package ix.iface;

import junit.framework.*;
import ix.util.Parameters;

/**
 * Test suite that includes all tests for the ix.iface package and subpackages.
 */
public class AllTests {

    public static void main(String[] argv) {
	Parameters.processCommandLineArguments(argv);
	junit.textui.TestRunner.run(suite());
    }

    public static Test suite () {
	TestSuite suite = new TestSuite("ix.iface tests");

	// Tests for this package.

	// Subpackages
	if (Parameters.getBoolean("recursive", true)) {
	    suite.addTest(ix.iface.util.AllTests.suite());
	}

	return suite;
    }

}
